## icinga 1.0.2

=== include/Makefile ===
###############################
# Makefile for Include Files
###############################

clean:
	rm -f *~

distclean: clean
	rm -f config.h locations.h snprintf.h

devclean: distclean

=== module/icinga-api/contrib/idoliteutils/Makefile ===
#########################################################################################################
# Makefile for IDOLITE - 2009 by Christian Doebler <christian.doebler@netways.de>
#########################################################################################################

# Source code directories
SRC_BASE=./src/
DB_BASE=./db/
DRV_BASE=$(SRC_BASE)/db_drv/
#SRC_INCLUDE=../include

CC=gcc
MOD_CFLAGS=-fPIC
CFLAGS=-g -O2 -DHAVE_CONFIG_H -Wall 
MOD_LDFLAGS=-shared
LDFLAGS=
LIBS=
LIBSDAEMON=
LIBSDB_DRV=-lsqlite3

prefix=/usr/local/icinga
exec_prefix=${prefix}
BINDIR=${exec_prefix}/bin/
DBDIR=${prefix}/var/idolite/
MODULENAME=idolitemod
DAEMONNAME=idolite2db
DRVNAME=sqlite3
INSTALL=/usr/bin/install -c
INSTALL_OPTS=-o icinga -g icinga
COMMAND_OPTS=-o icinga -g icinga
STRIP=/usr/bin/strip

CP=@CP@

none:
	$(CC) $(CFLAGS) $(MOD_CFLAGS) -o $(SRC_BASE)$(MODULENAME).o $(SRC_BASE)$(MODULENAME).c $(MOD_LDFLAGS) $(LDFLAGS) $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SRC_BASE)$(DAEMONNAME) $(SRC_BASE)$(DAEMONNAME).c $(DRV_BASE)$(DRVNAME).c $(LIBSDB_DRV) $(LIBSDAEMON)

clean:
	rm -f $(DRV_BASE)$(DRVNAME).o
	rm -f $(SRC_BASE)$(MODULENAME).o
	rm -f $(SRC_BASE)$(DAEMONNAME)

install:
	$(INSTALL) -m 755 $(INSTALL_OPTS) -d $(BINDIR)
	$(INSTALL) -m 755 $(INSTALL_OPTS) $(SRC_BASE)$(MODULENAME).o $(BINDIR)$(MODULENAME).o
	$(INSTALL) -m 755 $(INSTALL_OPTS) $(SRC_BASE)$(DAEMONNAME) $(BINDIR)$(DAEMONNAME)
	$(INSTALL) -m 755 $(INSTALL_OPTS) -d $(DBDIR)
	$(INSTALL) -m 644 $(INSTALL_OPTS) $(DB_BASE)idolite.sqlite3 $(DBDIR)idolite.sqlite3

## icinga 1.5.1

=== include/Makefile ===
--- 
+++ 
@@ -6,6 +6,6 @@
 	rm -f *~
 
 distclean: clean
-	rm -f config.h locations.h snprintf.h
+	rm -f config.h locations.h snprintf.h dh.h
 
 devclean: distclean

## icinga 1.7.1

=== docbook/de/Makefile ===

all:
	@echo ""
	@echo "Please type what you want"
	@echo "make de"
	@echo ""

de:
	xsltproc --xinclude ../xsl/html-chunked.xsl Icinga.xml

=== docbook/en/Makefile ===

all:
	@echo ""
	@echo "Please type what you want"
	@echo "make en"
	@echo ""

en:
	xsltproc --xinclude ../xsl/html-chunked.xsl Icinga.xml

## icinga 1.10.3

=== include/Makefile ===
--- 
+++ 
@@ -6,6 +6,6 @@
 	rm -f *~
 
 distclean: clean
-	rm -f config.h locations.h snprintf.h dh.h
+	rm -f config.h locations.h dh.h
 
 devclean: distclean

=== tools/libtap/Makefile ===
CFLAGS = -g -Wall -I.
CC = gcc
TESTS = $(patsubst %.c, %, $(wildcard t/*.c))

ifdef ANSI
	# -D_BSD_SOURCE for MAP_ANONYMOUS
	CFLAGS += -ansi -D_BSD_SOURCE
	LDLIBS += -lbsd-compat
endif

%:
	$(CC) $(LDFLAGS) $(TARGET_ARCH) $(filter %.o %.a %.so, $^) $(LDLIBS) -o $@

%.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $(filter %.c, $^) $(LDLIBS) -o $@

%.a:
	$(AR) rcs $@ $(filter %.o, $^)

%.so:
	$(CC) -shared $(LDFLAGS) $(TARGET_ARCH) $(filter %.o, $^) $(LDLIBS) -o $@

all: libtap.a tests

libtap.a: tap.o

tap.o: tap.c tap.h

tests: $(TESTS)

$(TESTS): %: %.o libtap.a

$(patsubst %, %.o, $(TESTS)): %.o: %.c tap.h

clean:
	rm -rf *.o t/*.o libtap.a $(TESTS)

distclean:
	rm -rf *.o t/*.o libtap.a $(TESTS)

install: libtap.a tap.h
	sudo cp libtap.a /usr/lib
	sudo cp tap.h /usr/include

uninstall:
	sudo rm /usr/lib/libtap.a /usr/include/tap.h

dist:
	rm libtap.zip
	zip -r libtap *

check test: all
	prove

.PHONY: all clean install uninstall dist check test tests

## icinga 1.13.4

=== debian/changelog ===
icinga (1.13.4-2build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:03:01 +0000

icinga (1.13.4-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix database upgrade to 1.13.0.
    (closes: #861077)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 May 2017 08:57:03 +0200

icinga (1.13.4-1) unstable; urgency=high

  * Team upload.
  * New upstream release.
    - Fixes CVE-2016-9566.
  * Update watch file to match tagged releases too (not only downloads).
  * Refresh patches.
  * Add lintian override for ored-depends-on-obsolete-package.
  * Add libjs-jquery to icinga-doc dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Dec 2016 10:05:44 +0100

icinga (1.13.3-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Change mysql-client dependency to default-mysql-client.
    (closes: #848438)
  * Restructure control file with cme.
  * Add Homepage field to control file.
  * Switch from dpatch to source format 3.0 (quilt).
  * Drop dpkg-dev build dependency, required version available in oldstable.
  * Fix duplicate word in copyright file.
  * Add patch to fix spelling errors.
  * Add upstream metadata.
  * Add override for spelling-error-in-readme-debian false positive.
  * Update copyright file using copyright-format 1.0.
  * Fix duplicate short description and spelling errors in long description.
  * Drop unused override for package-contains-empty-directory.
  * Add comments to lintian overrides.
  * Create /var/run/icinga in idoutils init script too.
  * Drop unused override for dir-or-file-in-var-run.
  * Bump debhelper compatibility to 9.
  * Enable all hardening buildflags.
  * Add lintian overrides for package-contains-empty-directory.
  * Don't install .in templates in examples.
  * Don't install p1.pl with execute bit set.
  * Use dh sequencer in rules file.
  * Use rm -f for all rm commands.
  * Don't set {C,CPP,LD}FLAGS explicitly, already set by debhelper.
  * Add build dependencies for test target.
  * Override dh_auto_test to create required directories.
  * Update watch file to handle common issues.
  * Update Brazilian Portuguese debconf templates translation.
    Thanks to Adriano Rafael Gomes.
    (closes: #799421)
  * Drop unused substitution variables.
  * Don't hardcode invoke-rc.d path in icinga-cgi.postinst.
  * Use dh-autoreconf for retooling.
  * Add lintian override for non-standard-apache2-configuration-name.
  * Add lintian override for apache2-reverse-dependency-calls-invoke-rc.d.
  * Bump Standards-Version to 3.9.8, no changes.

  [ Markus Frosch ]
  * [e9d9531] apache2: Add read access to JavaScript libs
  * [671b433] Add patch 53_jquery and fix JQuery loading
  * [8e62b57] Replace embedded JQuery in icinga-doc
  * [a17d86c] Update copyright for Debian packaging
  * [368c095] Improve mysql dependency for backwards compatibility

 -- Markus Frosch <lazyfrosch@debian.org>  Tue, 20 Dec 2016 09:47:04 +0100

icinga (1.13.3-3) unstable; urgency=medium

  [ Markus Frosch ]
  * [0e0a082] Update VCS URLs
  * [5da079a] Remove libpng12-dev build-dep, use only libpng-dev
    (Closes: #810173)

  [ Nishanth Aravamudan ]
  * [40e540b] Add build-arch and build-indep targets to d/rules
    (Closes: #821992)
  * [6182dcb] Classic UI: fixed menu disappear with jQuery 1.11+
    (Closes: #831332)

  [ Markus Frosch ]
  * [40490d6] Add patch to fix CVE-2015-8010 (Closes: #803432)

 -- Markus Frosch <lazyfrosch@debian.org>  Sun, 21 Aug 2016 14:12:35 +0200

icinga (1.13.3-2) unstable; urgency=medium

  * [9f7081e] Add myself as uploader
  * [4877e88] Add missing sources for jquery-ui (Closes: #788723)
  * [8522150] Override mis-detected missing source

 -- Markus Frosch <lazyfrosch@debian.org>  Wed, 30 Dec 2015 12:50:51 +0100

icinga (1.13.3-1) unstable; urgency=medium

  * [8197b77] Imported Upstream version 1.13.3

 -- Alexander Wirt <formorer@debian.org>  Wed, 15 Jul 2015 15:27:22 +0200

icinga (1.13.2-1) unstable; urgency=medium

  * [d7ee3a5] Imported Upstream version 1.13.2
  * [af0ed78] Install new database schema
  * [7349514] Add turkish debconf translation. (Closes: #760330)
  * [500332d] Update 52_icinga.cfg-debianize

 -- Alexander Wirt <formorer@debian.org>  Sat, 13 Jun 2015 08:15:35 +0200

icinga (1.12.2-2) experimental; urgency=medium

  * [17f0a2c] Fix plugin package name

 -- Alexander Wirt <formorer@debian.org>  Sat, 14 Mar 2015 07:42:11 +0100

icinga (1.12.2-1) experimental; urgency=medium

  * [ffdb896] Imported Upstream version 1.12.2
  * [b357b73] Prefer monitoring-plugins over nagios-plugins
  * [0d3040d] Imported Upstream version 1.12.0
  * [09bf1ee] Install 1.12.0 sql db upgrades

 -- Alexander Wirt <formorer@debian.org>  Thu, 12 Mar 2015 14:02:59 +0100

icinga (1.11.6-1) unstable; urgency=medium

  * [67f8e61] Imported Upstream version 1.11.6
  * [cea2d5d] Install schema upgrades
  * [677ebfd] Check for existance of resources.cfg before setting permissions.
    (Closes: #757103)

 -- Alexander Wirt <formorer@debian.org>  Thu, 07 Aug 2014 13:49:19 +0200

icinga (1.11.5-1) unstable; urgency=medium

  * [2098d80] Imported Upstream version 1.11.5
  * [cef043d] bump standards version

 -- Alexander Wirt <formorer@debian.org>  Fri, 20 Jun 2014 15:25:10 +0200

icinga (1.11.4-1) unstable; urgency=medium

  * [4b8b43e] Update copyright file (Closes: #748015)
  * [f87dd9b] Imported Upstream version 1.11.4
  * [28a3f90] Remove obsolete patch 96_fix_postgres_11.3_upgrade.dpatch

 -- Alexander Wirt <formorer@debian.org>  Thu, 29 May 2014 17:38:05 +0200

icinga (1.11.3-3) unstable; urgency=medium

  * [9d1836b] Check if apache init script exists before invoking it.
    Thanks to Georg Schönberg for bringing this up
  * [e315571] Fix postgresql upgrade script for 1.11.3 (Closes: #749581)

 -- Alexander Wirt <formorer@debian.org>  Wed, 28 May 2014 14:48:44 +0200

icinga (1.11.3-2) unstable; urgency=medium



=== debian/control ===
Source: icinga
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Alexander Wirt <formorer@debian.org>,
           Jan Wagner <waja@cyconet.org>,
           Markus Frosch <lazyfrosch@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libdbi-dev | libdbi0-dev,
               libgd-dev | libgd2-noxpm-dev | libgd2-xpm-dev,
               libhtml-lint-perl,
               libipc-run3-perl,
               libperl-dev,
               libpng-dev,
               libtest-most-perl,
               libtest-www-mechanize-cgiapp-perl,
               po-debconf
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/icinga.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/icinga.git
Homepage: https://www.icinga.com/

Package: icinga-common
Architecture: all
Depends: adduser,
         bsd-mailx | mailx,
         dpkg (>= 1.16.1),
         lsb-base,
         monitoring-plugins-basic | nagios-plugins-basic,
         ucf,
         ${misc:Depends}
Recommends: monitoring-plugins | nagios-plugins
Description: host and network monitoring system - support files
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package contains the common files for all Icinga packages.

Package: icinga-cgi
Architecture: any
Depends: adduser,
         apache2-utils,
         icinga-cgi-bin (= ${binary:Version}),
         icinga-common (= ${source:Version}),
         ucf,
         ${misc:Depends}
Recommends: apache2 | httpd,
            nagios-images
Description: host and network monitoring system - CGI configuration
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package provides CGI configuration files and the required dependencies.

Package: icinga-cgi-bin
Architecture: any
Depends: libjs-jquery,
         libjs-jquery-ui (>= 1.10.1+dfsg-1~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: apache2 | httpd,
            nagios-images
Breaks: icinga-cgi (<< 1.11.0-2~)
Replaces: icinga-cgi (<< 1.11.0-2~)
Description: host and network monitoring system - CGI scripts
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package provides CGI binaries and HTML files.

Package: icinga-idoutils
Architecture: any
Depends: dbconfig-common,
         icinga-common (= ${source:Version}),
         libdbd-mysql | libdbd-pgsql,
         lsb-base,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-mysql-client | mysql-client | postgresql-client
Suggests: default-mysql-server | mysql-server | postgresql-server
Description: host and network monitoring system - icinga-dataobjects support
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package contains icinga-dataobjects support which makes it possible
 to import Icinga status information messages into an SQL database.

Package: icinga
Architecture: any
Depends: icinga-cgi (= ${binary:Version}),
         icinga-core (= ${binary:Version}),
         ${misc:Depends}
Recommends: icinga-doc
Suggests: nagios-nrpe-plugin
Description: host and network monitoring system - metapackage
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port;
  * plugin interface to allow for user-developed service checks
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This is a metapackage which depends on the Icinga core and the web
 front-end.

Package: icinga-core
Architecture: any
Depends: icinga-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: nagios-nrpe-plugin
Replaces: icinga
Description: host and network monitoring system - core files
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks;
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package provides the core of Icinga without the web front-end.

Package: icinga-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: host and network monitoring system - documentation
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks;
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package provides the documentation for Icinga.

Package: icinga-dbg
Architecture: any
Section: debug
Priority: extra
Depends: icinga-core (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: host and network monitoring system - debug files
 Icinga is a modular monitoring framework for hosts, services, and
 networks, based on the Nagios project. It is designed to be easy to
 understand and modify to fit any need.
 .
 Features include:
  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
    TCP port
  * plugin interface to allow for user-developed service checks;
  * contact notifications when problems occur and get resolved (via
    email, pager, or user-defined method)
  * support for proactive problem resolution (handlers can be defined to
    be run during service or host events)
  * web output: current status, notifications, problem history, log
    file, etc.
 .
 This package provides gdb debugging symbols for the Icinga binaries and
 the mini_epn tool which can help in debugging Icinga problems.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules makefile for icinga

# export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export AUTOHEADER=true

b := $(shell pwd)/debian

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS += $(CPPFLAGS)

SHELL		= /bin/sh -e
CONFIGURE_OPTS	= --prefix=/usr \
				--mandir=/usr/share/man \
				--bindir=/usr/sbin \
				--sbindir=/usr/lib/cgi-bin/icinga \
				--datarootdir=/usr/share/icinga/htdocs \
				--sysconfdir=/etc/icinga \
				--infodir=/usr/share/info \
				--libexecdir=/usr/lib/nagios/plugins \
				--localstatedir=/var/lib/icinga \
				--with-state-dir=/var/cache/icinga \
				--enable-event-broker \
				--with-ido-sockfile=/var/lib/icinga/ido.sock \
				--enable-embedded-perl \
				--with-icinga-user=nagios \
				--with-icinga-group=nagios \
				--with-command-user=nagios \
				--with-command-group=nagios \
				--with-init-dir=/etc/init.d \
				--with-lockfile=/var/run/icinga/icinga.pid \
				--with-mail=/usr/bin/mail \
				--with-perlcache \
				--build=$(DEB_BUILD_GNU_TYPE) \
				--host=$(DEB_HOST_GNU_TYPE) \
				--with-htmurl=/icinga \
				--with-cgiurl=/cgi-bin/icinga \
				--with-p1-file-dir=/usr/lib/icinga \
				--enable-idoutils \
				--with-ido2db-lockfile=/var/run/icinga/ido2db.pid \
				--with-log-dir=/var/log/icinga \
				--libdir=/usr/lib/icinga \
				--with-temp-file=/var/cache/icinga/icinga.tmp \
				--with-mainurl=/cgi-bin/icinga/tac.cgi

%:
	dh $@ --with autoreconf

fix-configs: fix-configs-stamp
fix-configs-stamp:
	mkdir -p debian-configs
	sed -e '/Sample CGI/ s/\([0-9]\.[0-9]\.[0-9]\)//' \
	    -e '/Last Modified/,+1 d' \
	    sample-config/cgi.cfg > debian-configs/cgi.cfg
	sed -i -e 's/local-service/generic-service/' \
		module/idoutils/config/ido2db_check_proc.cfg
	sed -i -e 's#/usr/sbin/#/usr/lib/icinga/#' \
		module/idoutils/config/idoutils.cfg-sample
	sed -e '/Sample Main Config/ s/\([0-9]\.[0-9]\.[0-9]\)//' \
	    -e '/Last Modified/ d' \
	    sample-config/icinga.cfg > debian-configs/icinga.cfg
	sed -e '/SAMPLE COMMAND DEFINITIONS/ s/\([0-9]\.[0-9]\.[0-9]\)//' \
	   -e '/Last Modified/,+1 d' \
	   -e '/^#$$/ d' sample-config/template-object/commands.cfg > debian-configs/commands.cfg
	sed -i  \
		-e "s/^\(db_host=\).*/\1_DBC_DBSERVER_/" \
		-e "s/^\(db_servertype=\).*/\1_DBC_DBTYPE_/"  \
		-e "s/^\(db_port=\).*/\1_DBC_DBPORT_/" \
		-e "s/^\(db_name=\).*/\1_DBC_DBNAME_/" \
		-e "s/^\(db_user=\).*/\1_DBC_DBUSER_/" \
		-e "s/^\(db_pass=\).*/\1_DBC_DBPASS_/" module/idoutils/config/ido2db.cfg-sample

override_dh_auto_clean:
	dh_testdir
	dh_testroot
	if test -f Makefile; then make distclean; fi
	rm -f install-stamp configure-stamp build-stamp fix-configs-stamp
	rm -rf debian-configs
	-rm -f contrib/perlxsi.c
	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
	-rm -f platform.h auto-include.h
	-rm -f solaris/pkginfo
	-rm -f contrib/eventhandlers/submit_check_result contrib/eventhandlers/disable_active_service_checks
	-rm -f contrib/eventhandlers/disable_notifications contrib/eventhandlers/enable_active_service_checks
	-rm -f contrib/eventhandlers/enable_notifications
	-rm -f config.log
	find -type d -name build -print0 | xargs -0 -r rm -rf \;
	find \( -name config.sub -o -name config.guess \) -print0 | xargs -0 -r rm -f \;

override_dh_auto_configure:
	dh_testdir
	@echo "Doing $@"
	if test -f Makefile; then make clean; fi
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	rm -f config.cache

	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_build:
	dh_testdir
	@echo "Doing $@"
	dh_auto_build -- all
	dh_auto_build --sourcedirectory=contrib

override_dh_auto_test:
	mkdir -p t/var/spool/checkresults

	dh_auto_test

	rm -rf t/var/spool

override_dh_auto_install: fix-configs-stamp
	@echo "Doing $@"
	dh_testdir
	dh_testroot
	dh_installdirs -a -i
	$(MAKE) install-unstripped DESTDIR=$b/tmp INSTALL_OPTS="" COMMAND_OPTS=""
	$(MAKE) install-idoutils DESTDIR=$b/icinga-idoutils INSTALL_OPTS="" COMMAND_OPTS=""
	rm -f $b/icinga-idoutils/etc/icinga/ido2db.cfg-sample
	#We have to rename the sample files
	#mv $b/icinga-idoutils/etc/icinga/ido2db.cfg-sample $b/icinga-idoutils/etc/icinga/ido2db.cfg
	mv $b/icinga-idoutils/etc/icinga/idomod.cfg-sample $b/icinga-idoutils/etc/icinga/idomod.cfg
	mkdir -p $b/icinga-idoutils/usr/share/doc/icinga-idoutils/examples
	mv $b/icinga-idoutils/etc/icinga/modules/idoutils.cfg-sample $b/icinga-idoutils/usr/share/doc/icinga-idoutils/examples
	mkdir -p $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/install \
	         $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/install
	cp module/idoutils/db/mysql/mysql.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/install/mysql
	cp module/idoutils/db/pgsql/pgsql.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/install/pgsql
	mkdir -p $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/
	mkdir -p $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/pgsql/
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.0.2-fix-object-relations.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.0.2-2
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.0.2.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.0.2-1
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.0.2-fix-object-relations.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.0.2-2
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.0.3.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.0.3-1
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.3.0.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.2.99-1
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.4.0.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.4.0
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.5.0.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.5.0-1
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.6.0.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.6.0-1
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.7.0.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.7.0-1
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.8.0.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.8.0-1
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.9.0.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.9.0-1
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.10.0.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.10.1-1
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.11.0.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.11.0
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.11.3.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.11.3-2
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.11.6.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.11.6
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.12.0.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.12.0
	cp module/idoutils/db/mysql/upgrade/mysql-upgrade-1.13.0.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/mysql/1.13.0
	cp module/idoutils/db/pgsql/upgrade/pgsql-upgrade-1.0.1.sql $b/icinga-idoutils/usr/share/dbconfig-common/data/icinga-idoutils/upgrade/pgsql/1.0.1-1

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/icinga-$1.$2/ \
https://github.com/Icinga/icinga-core/releases \
(?:.*?/)?(?:rel|v|icinga)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## icinga 1.14.2+ds

=== debian/changelog ===
icinga (1.14.2+ds-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update Bug-* fields in upstream metadata.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add lintian override for source-is-missing.
  * Add lintian override for spelling-error-in-binary.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 21:01:43 +0200

icinga (1.14.2+ds-2) unstable; urgency=medium

  * Team upload.
  * Only install icinga & apache2 in autopkgtest.
  * Remove unused patch: 90_disable_standard_conforming_strings.patch.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Mar 2018 07:42:45 +0100

icinga (1.14.2+ds-1) unstable; urgency=medium

  * Team upload.
  * Fix deprecated source override location.
  * Update Vcs-* URLs for Salsa.
  * Update Apache configuration for 2.4 syntax.
    (closes: #892628)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Mar 2018 18:47:07 +0100

icinga (1.14.2+ds-1~exp2) experimental; urgency=medium

  * Team upload.
  * Remove icinga-dbg cruft to fix building twice in a row.
    (closes: #886851)
  * Bump Standards-Version to 4.1.3, no changes.
  * Add gbp.conf to use pristine-tar by default.
  * Update branch in Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Jan 2018 15:14:21 +0100

icinga (1.14.2+ds-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Include README.md in icinga-common docs.
    (closes: #859806)
  * Drop patches applied upstream. Refresh remaining patches.
  * Call `make install` instead of `make install-unstripped`.
  * Drop obsolete dbg package.
  * Strip trailing whitespace from changelog file.
  * Add autopkgtest to test installability.
  * Update jquery file patterns in copyright file.
  * Update spelling-errors.patch to fix 'triggered' typo.
  * Exclude minified jquery-ui & jshint files from repacked upstream tarball.
  * Add patch to not install minified JS, excluded from upstream source.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Jan 2018 20:23:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Markus Frosch <lazyfrosch@debian.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
                libdbi-dev | libdbi0-dev,
                libgd-dev | libgd2-noxpm-dev | libgd2-xpm-dev,
@@ -16,9 +16,9 @@
                libtest-most-perl,
                libtest-www-mechanize-cgiapp-perl,
                po-debconf
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/icinga.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/icinga.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/nagios-team/icinga
+Vcs-Git: https://salsa.debian.org/nagios-team/icinga.git
 Homepage: https://www.icinga.com/
 
 Package: icinga-common
@@ -208,29 +208,3 @@
     file, etc.
  .
  This package provides the documentation for Icinga.
-
-Package: icinga-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: icinga-core (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: host and network monitoring system - debug files
- Icinga is a modular monitoring framework for hosts, services, and
- networks, based on the Nagios project. It is designed to be easy to
- understand and modify to fit any need.
- .
- Features include:
-  * monitoring of network services via ping, SMTP, POP3, HTTP, NNTP, or
-    TCP port
-  * plugin interface to allow for user-developed service checks;
-  * contact notifications when problems occur and get resolved (via
-    email, pager, or user-defined method)
-  * support for proactive problem resolution (handlers can be defined to
-    be run during service or host events)
-  * web output: current status, notifications, problem history, log
-    file, etc.
- .
- This package provides gdb debugging symbols for the Icinga binaries and
- the mini_epn tool which can help in debugging Icinga problems.

=== debian/rules ===
--- 
+++ 
@@ -121,7 +121,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs -a -i
-	$(MAKE) install-unstripped DESTDIR=$b/tmp INSTALL_OPTS="" COMMAND_OPTS=""
+	$(MAKE) install DESTDIR=$b/tmp INSTALL_OPTS="" COMMAND_OPTS=""
 	$(MAKE) install-idoutils DESTDIR=$b/icinga-idoutils INSTALL_OPTS="" COMMAND_OPTS=""
 	rm -f $b/icinga-idoutils/etc/icinga/ido2db.cfg-sample
 	#We have to rename the sample files

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/icinga-$1.$2/,\
repacksuffix=+ds \
https://github.com/Icinga/icinga-core/releases \
(?:.*?/)?(?:rel|v|icinga)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
